import * as React from 'react';

interface CounterInterfaceProps {
  value: number;
  onIncrement: () => void;
  onDecrement: () => void;
  onReset: () => void;
}

const Counter: React.SFC<CounterInterfaceProps> = ({
  value,
  onIncrement,
  onDecrement,
  onReset
}) => {
  return (
    <div>
      <div className='counter_text'>Счетчик: {value}</div>
      <div>
        <button className='btn_click' onClick={onIncrement}>Добавить</button>
        <button className='btn_click' onClick={onDecrement}>Удалить</button>
        <button className='btn_click' onClick={onReset}>Обнулить</button>
      </div>
    </div>
  );
};

export default Counter;
